Loading...
Searching...
No Matches
LogFunc Struct Reference

Internal logging function entry. More...

## Data Fields

int | id
GPLogLevel | level
GPLogFunc | func
void * | data

## Detailed Description

Internal logging function entry.

Internal structure to remember the logging functions. Use gp_log_add_func() and gp_log_remove_func() to access it.

## Field Documentation

## data

void* LogFunc::data

Private data supplied by caller

## func

GPLogFunc LogFunc::func

Internal function pointer to call

## id

int LogFunc::id

Internal id

## level

GPLogLevel LogFunc::level

Internal loglevel

The documentation for this struct was generated from the following file:

- libgphoto2_port/libgphoto2_port/gphoto2-port-log.c